#!/usr/bin/make -f

PACKAGE = pngcheck

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -DUSE_ZLIB
export DEB_LDFLAGS_MAINT_APPEND	 = -Wl,--as-needed

LIBS	 = -lz

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_build: man
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $(PACKAGE) $(PACKAGE).c $(LIBS)

%:
	dh $@

.PHONY: man

# End of file
